Bug 47528 - commented out meta element is read instead of the not commented out one
Summary: commented out meta element is read instead of the not commented out one
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml parsing (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-06 14:03 UTC by Arie Folger
Modified: 2005-01-26 19:07 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arie Folger 2002-09-06 13:50:27 UTC
(*** This bug was imported into bugs.kde.org ***)

Package:           khtml
Version:           KDE 3.0.3 
Severity:          normal
Installed from:    RedHat RPMs
Compiler:          Not Specified
OS:                Linux
OS/Compiler notes: redhat binaries downloaded from a kde mirror

A site which ought to be displayed in Hebrew shows up in iso-8859-1. It is 
made up of frames and konqueror does not allow for frames to be forced to 
display in a different encoding so for all practical purposes it is 
unreadable (oh I could do a open frame in new window I know). I looked at 
the sources and found that one meta tag had been commented out while 
another one was added to instruct the browser to display in logical Hebrew:

<HEAD>
<!-- WESTERN EUROPEAN
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
-->
<!-- HEBREW ISO-Logical -->
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-8-i">
..
</HEAD>

Yet konqueror shows it in iso-8859-1. Is konqueror here standards compliant 
and if so whyis such code non standard.

Lars Knoll thinks this is a bug so here is the report.

PS: a site that uses the above html code is http://www.yerushalmionline.org however I contacted the webmaster and he may delete the commented out meta tag so I am not sure how long this live test case remain out there in cyberspace.

Keep up the good work. Thank you all for kde!

Arie Folger

(Submitted via bugs.kde.org)
Comment 1 Kai Lahmann 2003-06-14 03:37:38 UTC
confirmed. 
Comment 2 Daniel Naber 2004-02-21 15:38:01 UTC
bug also occurs with KDE 3.2
Comment 3 Robin Rosenberg 2004-09-06 17:48:26 UTC
linuxcounter has such a page that may be easier to verify for non-hebrew reading. 

http://counter.li.org/bycountry/SE.php

The problematic line is this:
<head><!-- <meta http-equiv="content-type" content="text/html;charset=utf-8"> -->

The first bad entry is Alings (Should read Alingsås). Others are easier to spot as they display spaces in middle of names and even parts of HTML codes.
Comment 4 Allan Sandfeld 2005-01-07 00:52:27 UTC
Fixed with recent WebCore encoding-detection merge.
Comment 5 Arie Folger 2005-01-20 13:55:25 UTC
Well, I just checked http://www.yerushalmionline.org/ again, and while their look has changed, the problem seems to persist. The header of that frame is still the same old header.

I am using kde 3.3.1-24.FC3 (Fedora Core 3) which has Konqueror 3.3.1-4.3.FC3
So where is the new WebCore (in CVS?)?
Comment 6 Allan Sandfeld 2005-01-26 19:07:23 UTC
Yes in the upcoming KDE 3.4. If you want it fixed in Fedora, report the bug to them or wait for them to upgrade to KDE 3.4